org.osgi.framework

## Interface Configurable

Deprecated.
As of 1.2. Please use Configuration Admin service.

    public interface Configurable

Supports a configuration object.

`Configurable` is an interface that should be used by a bundle developer in support of a configurable service. Bundles that need to configure a service may test to determine if the service object is an `instanceof Configurable`.

Author:
  $Id: dce95833dd076e870099385a306989959a84aafd $

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`Object` `getConfigurationObject()` Deprecated. As of 1.2. Please use Configuration Admin service.

### Method Detail

#### getConfigurationObject

    Object getConfigurationObject()

Deprecated. As of 1.2. Please use Configuration Admin service.
Returns this service's configuration object.

Services implementing `Configurable` should take care when returning a service configuration object since this object is probably sensitive.

If the Java Runtime Environment supports permissions, it is recommended that the caller is checked for some appropriate permission before returning the configuration object.

Returns:
  The configuration object for this service.
Throws:
  `SecurityException` - If the caller does not have an appropriate permission and the Java Runtime Environment supports permissions.